Name: funtools
Version: 1.3.0
Release: 0.4.b29%{?dist}
Summary: FITS library and utilities

# Upstream version
%define upversion 1.3.0b29

Group: Development/Libraries
License: LGPL
URL: http://hea-www.harvard.edu/RD/funtools/
Source0: http://hea-www.harvard.edu/saord/download/funtools/%{name}-%{upversion}.tar.gz
Patch0: funtools-makefile.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libwcs-devel tcl-devel zlib-devel
Requires: gnuplot

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Funtools, is a "minimal buy-in" FITS library and utility package from 
the SAO/HEAD R&D group. The Funtools library provides simplified access to 
FITS images and binary tables, as well as to raw array and binary event lists. 
The Funtools utilities provide high-level support for processing 
astronomical data.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
These are the header files and libraries needed to develop a %{name} 
application.

%prep
%setup -q -n %{name}-%{upversion}
%patch0 -p1

%build
%configure --enable-shared=link --with-wcslib=%{_libdir}/libwcs.so \
        --with-zlib=%{_libdir}/libz.so --with-tcl=%{_libdir} --enable-dl
# Parallel build does not work currently
%{__make} EXTRA_LIBS="-lwcs -lz -ldl"
%{__make} shtclfun EXTRA_LIBS="-ltcl -lwcs -lz -ldl"

%install
%{__rm} -fr %{buildroot}
%{__rm} -fr %{buildroot}
%{__make} INSTALL_ROOT=%{buildroot} install
mv %{buildroot}/%{_bindir}/funtools.ds9 %{buildroot}/%{_datadir}/funtools
mv %{buildroot}/%{_bindir}/funcalc.sed %{buildroot}/%{_datadir}/funtools


%clean
%{__rm} -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_bindir}/*
%{_libdir}/*so.*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root)
%doc doc/*.html
%doc doc/*.pdf
%{_libdir}/*.so
%{_libdir}/pkgconfig/funtools.pc
%exclude %{_libdir}/*.a
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/mann/*

%changelog
* Mon Mar 26 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.4.b29
- Funtools Approved
- Parallel make does not work
- Problem with undefined non weak symbols in libtclfun fixed
* Fri Mar 23 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.3.b29
- Removed _smp_mflags
* Thu Mar 22 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.2.b29
- Updated funtools-makefile.patch
- Added EXTRA_LIBS to compilation step
* Tue Mar 20 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 1.3.0-0.1.b29
- Initial spec file
